Fingerprint_Card

Loading...
Searching...
No Matches
ZVersionInfo.h File Reference
`#include <ZTypesEx.h>`
`#include <Core/ZAssembly.h>`
Include dependency graph for ZVersionInfo.h:

Go to the source code of this file.

## Macros
#define | Z_COMPANY Z_T("Zwipe")
#define | Z_COMPANY_DOMAIN Z_T("com.zwipe")
#define | Z_ASSEMBLY_VERSION_BUILD 0
#define | Z_ASSEMBLY_VERSION_REVISION 0
#define | Z_ASSEMBLY_VERSION_REPOSITORY_REVISION 000000
#define | Z_ASSEMBLY_VERSION_REPOSITORY_REVISION_VALUE Z_STRINGIZE(Z_ASSEMBLY_VERSION_REPOSITORY_REVISION)
#define | Z_ASSEMBLY_VERSION_REPOSITORY_REVISION_ID Z_T("Z_ASSEMBLY_VERSION_REPOSITORY_REVISION_ID_") Z_ASSEMBLY_VERSION_REPOSITORY_REVISION_VALUE
#define | Z_ASSEMBLY_VERSION Z_T(" ") Z_STRINGIZE(Z_MODULE_VERSION_MAJOR) Z_T(".") Z_STRINGIZE(Z_MODULE_VERSION_MINOR)
#define | Z_ASSEMBLY_TITLE_BASE Z_MODULE_NAME
#define | Z_ASSEMBLY_TITLE Z_ASSEMBLY_TITLE_BASE Z_ASSEMBLY_VERSION
#define | Z_ASSEMBLY_ADDITIONAL_COPYRIGHT
#define | Z_ASSEMBLY_COPYRIGHT Z_T("Copyright (C) ") Z_ASSEMBLY_COPYRIGHT_YEARS Z_T(" ") Z_MODULE_COMPANY Z_ASSEMBLY_ADDITIONAL_COPYRIGHT
#define | Z_ASSEMBLY_ID Z_MODULE_ID
#define | Z_ASSEMBLY_PTR_VAR(name)
#define | Z_ASSEMBLY_HANDLE_VAR(name)
#define | Z_ASSEMBLY_FUNC(name)
#define | Z_THIS_ASSEMBLY_OF Z_ASSEMBLY_OF(Z_ASSEMBLY_NAME)
#define | Z_THIS_ASSEMBLY_ADDRESS ((void *)(ZSizeType)Z_THIS_ASSEMBLY_OF)
#define | Z_ASSEMBLY_OPTIONS_UNICODE ZAssemblyOptionsNone
#define | Z_ASSEMBLY_OPTIONS_NO_UNICODE ZAssemblyOptionsNone
#define | Z_ASSEMBLY_OPTIONS_DEBUG ZAssemblyOptionsNone
#define | Z_ASSEMBLY_OPTIONS_TYPE ZAssemblyOptionsNone
#define | Z_ASSEMBLY_OPTIONS ((ZAssemblyOptions)(Z_ASSEMBLY_OPTIONS_TYPE | Z_ASSEMBLY_OPTIONS_DEBUG | Z_ASSEMBLY_OPTIONS_NO_UNICODE | Z_ASSEMBLY_OPTIONS_UNICODE))

## Functions
Z_EXTERN_C ZResult Z_API Z_ASSEMBLY_FUNC | AssemblyOf (HZAssembly *phValue)

## Macro Definition Documentation

## ◆ Z_ASSEMBLY_ADDITIONAL_COPYRIGHT

#define Z_ASSEMBLY_ADDITIONAL_COPYRIGHT

## ◆ Z_ASSEMBLY_COPYRIGHT

#define Z_ASSEMBLY_COPYRIGHT Z_T("Copyright (C) ") Z_ASSEMBLY_COPYRIGHT_YEARS Z_T(" ") Z_MODULE_COMPANY Z_ASSEMBLY_ADDITIONAL_COPYRIGHT

## ◆ Z_ASSEMBLY_FUNC

#define Z_ASSEMBLY_FUNC | ( |  | name | ) |

Value:
Z_JOIN_SYMBOLS(Z_ASSEMBLY_NAME, name)

## ◆ Z_ASSEMBLY_HANDLE_VAR

#define Z_ASSEMBLY_HANDLE_VAR | ( |  | name | ) |

Value:
Z_JOIN_SYMBOLS(m_h, Z_JOIN_SYMBOLS(Z_ASSEMBLY_NAME, name))

## ◆ Z_ASSEMBLY_ID

#define Z_ASSEMBLY_ID Z_MODULE_ID

## ◆ Z_ASSEMBLY_OPTIONS

#define Z_ASSEMBLY_OPTIONS ((ZAssemblyOptions)(Z_ASSEMBLY_OPTIONS_TYPE | Z_ASSEMBLY_OPTIONS_DEBUG | Z_ASSEMBLY_OPTIONS_NO_UNICODE | Z_ASSEMBLY_OPTIONS_UNICODE))

## ◆ Z_ASSEMBLY_OPTIONS_DEBUG

#define Z_ASSEMBLY_OPTIONS_DEBUG ZAssemblyOptionsNone

## ◆ Z_ASSEMBLY_OPTIONS_NO_UNICODE

#define Z_ASSEMBLY_OPTIONS_NO_UNICODE ZAssemblyOptionsNone

## ◆ Z_ASSEMBLY_OPTIONS_TYPE

#define Z_ASSEMBLY_OPTIONS_TYPE ZAssemblyOptionsNone

## ◆ Z_ASSEMBLY_OPTIONS_UNICODE

#define Z_ASSEMBLY_OPTIONS_UNICODE ZAssemblyOptionsNone

## ◆ Z_ASSEMBLY_PTR_VAR

#define Z_ASSEMBLY_PTR_VAR | ( |  | name | ) |

Value:
Z_JOIN_SYMBOLS(m_p, Z_JOIN_SYMBOLS(Z_ASSEMBLY_NAME, name))

## ◆ Z_ASSEMBLY_TITLE

#define Z_ASSEMBLY_TITLE Z_ASSEMBLY_TITLE_BASE Z_ASSEMBLY_VERSION

## ◆ Z_ASSEMBLY_TITLE_BASE

#define Z_ASSEMBLY_TITLE_BASE Z_MODULE_NAME

## ◆ Z_ASSEMBLY_VERSION

#define Z_ASSEMBLY_VERSION Z_T(" ") Z_STRINGIZE(Z_MODULE_VERSION_MAJOR) Z_T(".") Z_STRINGIZE(Z_MODULE_VERSION_MINOR)

## ◆ Z_ASSEMBLY_VERSION_BUILD

#define Z_ASSEMBLY_VERSION_BUILD 0

## ◆ Z_ASSEMBLY_VERSION_REPOSITORY_REVISION

#define Z_ASSEMBLY_VERSION_REPOSITORY_REVISION 000000

## ◆ Z_ASSEMBLY_VERSION_REPOSITORY_REVISION_ID

#define Z_ASSEMBLY_VERSION_REPOSITORY_REVISION_ID Z_T("Z_ASSEMBLY_VERSION_REPOSITORY_REVISION_ID_") Z_ASSEMBLY_VERSION_REPOSITORY_REVISION_VALUE

## ◆ Z_ASSEMBLY_VERSION_REPOSITORY_REVISION_VALUE

#define Z_ASSEMBLY_VERSION_REPOSITORY_REVISION_VALUE Z_STRINGIZE(Z_ASSEMBLY_VERSION_REPOSITORY_REVISION)

## ◆ Z_ASSEMBLY_VERSION_REVISION

#define Z_ASSEMBLY_VERSION_REVISION 0

## ◆ Z_COMPANY

#define Z_COMPANY Z_T("Zwipe")

## ◆ Z_COMPANY_DOMAIN

#define Z_COMPANY_DOMAIN Z_T("com.zwipe")

## ◆ Z_THIS_ASSEMBLY_ADDRESS

#define Z_THIS_ASSEMBLY_ADDRESS ((void *)(ZSizeType)Z_THIS_ASSEMBLY_OF)

## ◆ Z_THIS_ASSEMBLY_OF

#define Z_THIS_ASSEMBLY_OF Z_ASSEMBLY_OF(Z_ASSEMBLY_NAME)

## Function Documentation

## ◆ AssemblyOf()

Z_EXTERN_C ZResult Z_API Z_ASSEMBLY_FUNC AssemblyOf | ( | HZAssembly * | phValue | ) |

Here is the call graph for this function:
Here is the caller graph for this function: